PingPanel
---------

PingPanel monitors devices in the network using ICMP echo requests and gives you a compact and graphical overview of the current 
accessibility of all these hosts in real time.
Unlike other network monitoring tools, PingPanel is neither a service monitoring tool nor does it record any data for analysis. 
Instead, it merely provides an overview of the current availability of the devices to be monitored and their RTT (Round-Trip Time).

**_Website_**:  
[https://pingpanel.zweiernet.ch/](https://pingpanel.zweiernet.ch/)
	
**_Download_**:   
\- tar-archive: [https://pingpanel.zweiernet.ch/pingpanel_0.9.8.tar.gz](https://pingpanel.zweiernet.ch/pingpanel_0.9.8.tar.gz)   
\- Debian installer: [https://pingpanel.zweiernet.ch/pingpanel_0.9.8_all.deb](https://pingpanel.zweiernet.ch/pingpanel_0.9.8_all.deb)


**_Requirements_**:
> python3-tornado >= 6.0 ([https://www.tornadoweb.org/en/stable/](https://www.tornadoweb.org/en/stable/))   
> fping >= 5.0 ([https://fping.org/](https://fping.org/))

   


### Installation

**On Debian/Ubuntu related systems install with:**   
`dpkg -i pingpanel_<version>_all.deb`   
   
Check the dependencies with:   
`apt-get check`  
   
and install the dependencies with:   
`apt --fix-broken install`   
   
Afterwards the pingpanel package ist fully instsalled under /opt/PingPanel/.   
   
   
**On other systems using the tar-archive:**

```
cd /opt
tar xvfz pingpanel_<version>.tar.gz
```
   
   
 
### Usage  
 The directory _etc.example/_ contains startup file in _init.d/_ and a default _pingpanel_ file under _default/_.   
If you want to use a different installation directory, you must adjust the default file 
and/or the init.d startup script to the appropriate pathes and names.   

The daemon start file _pingpanel_ in the _init.d/_ directory is in standard LSB format for SysV systems.
So, on systemd related systems at least use:   
`systemctl daemon-reload`

After all, start the PingPanel Daemon:   
`service pingpanel start`

### Configuration

The configuration is made in the _config.cfg_ file located in the installation directory.
All parameters are documented in this file.   
If you want to use a name other than config.cfg, you can specify this in the _/etc/default/pingpanel_ file
or using the `-c <filename>` parameter to the PingPanel script.

All Messages are written to the file _/var/log/pingpanel.log_, unless 
you define a different name in _/etc/default/pingpanel_.

### Upgrade

**On Debian/Ubuntu related systems upgrade with:**

`dpkg -i  pingpanel_<version>_all.deb`   

The configuration files _config.cfg_ and _/etc/default/pingpanel_ will be preserved.
New files will be given the prefix .dpkg-NEW.
Adjust your config.cfg file with the new paramameters from .dpkg-NEW.

Restart the PingPanel Daemon.


**On other systems using the tar-archive:**

Unpack the tar-file in a new empty directory and then copy the relevant files to your active install-dir.   


